[zotero] demande de mise à jour en version 5 (résolu)

annonces et demandes de paquetages pour les dépôts i686 et x86_64
hopimet
Elfe
Messages : 898
Inscription : mer. 14 mars 2012, 22:48

[zotero] demande de mise à jour en version 5 (résolu)

Message par hopimet » dim. 05 nov. 2017, 21:54

Bonjour,

J'utilise avec satisfaction zotero pour gérer mes références bibliographiques. Depuis plusieurs mois zotero est passé en version 5. Celle-ci est disponible sur AUR. zotero est également présent dans le dépôt archlinux.fr mais il est resté en version 4 bien qu'il soit marqué comme périmé.
Je précise que la version 5 ne peut pas être utilisé conjointement avec la version 4 car la structure de la base de donnée n'est pas superposable. Cette structure est mise à jour lors du passage de la version 4 à 5.

Serait-il possible qu'archlinux.fr héberge la version 5 au lieu de la version 4 qui n'est plus tellement d'actualité ?

Ce n'est pas bloquant mais simplement, lors des mises à jour avec yaourt, la mise à jour n'est pas proposée quand la version d'AUR change car le paquet a le même nom dans les 2 dépôts et yaourt indique :

Code : Tout sélectionner

zotero : la version locale (5.0.24-1) est plus récente que archlinuxfr (4.0.29.5-1)
Il me faut donc vérifier spécifiquement pour ce paquet si une mise à jour est disponible.

Ce qui s'explique puisque yaourt -a zotero renvoie :

Code : Tout sélectionner

1 archlinuxfr/zotero 4.0.29.5-1 [installed: 5.0.24-1]
    Zotero Standalone. Is a free, easy-to-use tool to help you collect, organize, cite, and share your research sources.
2 aur/python2-zotero 0.9.9-2 (1) (0,00)
    A Python wrapper fro the Zotero API
3 aur/pyzotero-git 1363479022-1 (1) (0,00)
    A Python wrapper fro the Zotero API
4 aur/qnotero 1.0.0-2 (23) (0,00)
    A Qt application which provides access to your Zotero references
5 aur/zotero 5.0.24-1 [installed] (174) (5,21)
    Zotero Standalone. Is a free, easy-to-use tool to help you collect, organize, cite, and share your research sources.
6 aur/zotero-beta 5.0.25_beta.3+16175912c-1 (5) (0,05)
    Zotero Standalone. A free, easy-to-use tool to help you collect, organize, cite, and share your research sources.
==> Numéro(s) des paquets à installer (ex: 1 2 3 ou 1-3)
==> ----------------------------------------------------
==> 
Il n'y a rien d'urgent à tout ça. Comme je l'ai indiqué, ce n'est pas un point bloquant, juste du confort d'utilisation.
Un grand merci par avance, dans tous les cas.
Dernière édition par hopimet le sam. 23 déc. 2017, 13:35, édité 1 fois.

hopimet
Elfe
Messages : 898
Inscription : mer. 14 mars 2012, 22:48

Re: [zotero] demande de mise à jour en version 5

Message par hopimet » sam. 23 déc. 2017, 13:35

J'ai vu que l'ancienne version de zotero a été retirée d'archlinux.fr. Du coup le problème est radicalement résolu ! :mrgreen:

Avatar de l’utilisateur
coincoin
Daikyu
Messages : 82
Inscription : sam. 12 janv. 2013, 21:19

Re: [zotero] demande de mise à jour en version 5 (résolu)

Message par coincoin » mar. 02 janv. 2018, 11:35

Hello,

Désolé j'étais responsable de ce paquet jusqu'à maintenant comme je ne l'utilise plus je ne le mettais plus à jour. Je passe rarement sur les forums ne pas hésiter à PM les mainteneurs de paquet s'il y en a un périmé et qu'ils oublient ^^.
Bonne année!
\_o<

Répondre